Package groovy.lang

## Class MetaClassImpl.Index

- java.lang.Object
- - org.codehaus.groovy.util.ComplexKeyHashMap
  - - org.codehaus.groovy.util.SingleKeyHashMap
    - - groovy.lang.MetaClassImpl.Index

- Enclosing class:
    MetaClassImpl

      public static class MetaClassImpl.Index
      extends SingleKeyHashMap

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.util.SingleKeyHashMap

      `SingleKeyHashMap.Copier, SingleKeyHashMap.Entry`

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

      `ComplexKeyHashMap.EntryIterator`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

      `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Index()` |
    `Index​(boolean size)` |
    `Index​(int size)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkEquals​(ComplexKeyHashMap.Entry e, Object key)` |
    `SingleKeyHashMap` | `getNotNull​(CachedClass key)` |
    `SingleKeyHashMap` | `getNullable​(CachedClass clazz)` |
    `void` | `put​(CachedClass key, SingleKeyHashMap value)` |

    - ### Methods inherited from class org.codehaus.groovy.util.SingleKeyHashMap

      `containsKey, copy, get, getOrPut, getOrPutEntry, put, putCopyOfUnexisting, remove`

    - ### Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

      `clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Index

          public Index​(int size)

    - #### Index

          public Index()

    - #### Index

          public Index​(boolean size)

  - ### Method Detail

    - #### getNotNull

          public SingleKeyHashMap getNotNull​(CachedClass key)

    - #### put

          public void put​(CachedClass key,
                          SingleKeyHashMap value)

    - #### getNullable

          public SingleKeyHashMap getNullable​(CachedClass clazz)

    - #### checkEquals

          public boolean checkEquals​(ComplexKeyHashMap.Entry e,
                                     Object key)